const archives: AuthRoute.Route = {
  name: 'archives',
  path: '/archives',
  component: 'basic',
  children: [
    {
      name: 'archives_scores',
      path: '/archives/scores',
      component: 'self',
      meta: {
        title: '成绩查看',
        i18nTitle: 'message.routes.archives.scores',
        requiresAuth: true,
        icon: 'arcticons:score-sheets'
      }
    },
    {
      name: 'archives_students',
      path: '/archives/students',
      component: 'self',
      meta: {
        title: '资料查看',
        i18nTitle: 'message.routes.archives.students',
        requiresAuth: true,
        icon: 'icons8:student'
      }
    },
    {
      name: 'archives_attendance',
      path: '/archives/attendance',
      component: 'self',
      meta: {
        title: '考勤查看',
        i18nTitle: 'message.routes.archives.attendance',
        requiresAuth: true,
        icon: 'openmoji:mark'
      }
    },
    {
      name: 'archives_other',
      path: '/archives/other',
      component: 'self',
      meta: {
        title: '其他查看',
        i18nTitle: 'message.routes.archives.other',
        requiresAuth: true,
        icon: 'basil:other-1-outline'
      }
    }
  ],
  meta: {
    title: '档案管理',
    i18nTitle: 'message.routes.archives._value',
    icon: 'vaadin:archives',
    order: 9
  }
};

export default archives;
